ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-4/configure
(Generate patch)

Comparing trunk/OOPSE-4/configure (file contents):
Revision 3290 by chuckv, Thu Dec 6 20:40:07 2007 UTC vs.
Revision 3291 by chuckv, Fri Dec 7 00:00:05 2007 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug USE_SINGLE_PRECISION CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_CXXFLAGS CGAL_LDFLAGS CGAL_CPPFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug USE_SINGLE_PRECISION CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS QHULL_INC_DIR QHULL_LIB_DIR QHULL LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_CXXFLAGS CGAL_LDFLAGS CGAL_CPPFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 886 | Line 886 | Optional Packages:
886    --with-zlib=DIR         root directory path of zlib installation (defaults
887                            to /usr/local or /usr if not found in /usr/local)
888    --with-fftw=DIR         root directory path of fftw installation (defaults
889 +                          to /usr/local or /usr if not found in /usr/local)
890 +  --with-qhull=DIR        root directory path of qhull installation (defaults
891                            to /usr/local or /usr if not found in /usr/local)
892    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
893    --with-cgalmakefile=makefile
# Line 1428 | Line 1430 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1430   #
1431   #
1432   #
1433 +
1434 +
1435  
1436  
1437  
# Line 2868 | Line 2872 | echo "$as_me:2871:" \
2872  
2873  
2874   # Provide some information about the compiler.
2875 < echo "$as_me:2871:" \
2875 > echo "$as_me:2875:" \
2876       "checking for Fortran compiler version" >&5
2877   ac_compiler=`set X $ac_compile; echo $2`
2878   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 4116 | Line 4120 | FCFLAGS="$FCFLAGS $ac_verb"
4120   # flags.
4121   ac_save_FFLAGS=$FCFLAGS
4122   FCFLAGS="$FCFLAGS $ac_verb"
4123 < (eval echo $as_me:4119: \"$ac_link\") >&5
4123 > (eval echo $as_me:4123: \"$ac_link\") >&5
4124   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4125   echo "$ac_fc_v_output" >&5
4126   FCFLAGS=$ac_save_FFLAGS
# Line 4194 | Line 4198 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4198   # flags.
4199   ac_save_FFLAGS=$FCFLAGS
4200   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4201 < (eval echo $as_me:4197: \"$ac_link\") >&5
4201 > (eval echo $as_me:4201: \"$ac_link\") >&5
4202   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4203   echo "$ac_fc_v_output" >&5
4204   FCFLAGS=$ac_save_FFLAGS
# Line 4930 | Line 4934 | FCFLAGS="$FCFLAGS $ac_verb"
4934   # flags.
4935   ac_save_FFLAGS=$FCFLAGS
4936   FCFLAGS="$FCFLAGS $ac_verb"
4937 < (eval echo $as_me:4933: \"$ac_link\") >&5
4937 > (eval echo $as_me:4937: \"$ac_link\") >&5
4938   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4939   echo "$ac_fc_v_output" >&5
4940   FCFLAGS=$ac_save_FFLAGS
# Line 5008 | Line 5012 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
5012   # flags.
5013   ac_save_FFLAGS=$FCFLAGS
5014   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
5015 < (eval echo $as_me:5011: \"$ac_link\") >&5
5015 > (eval echo $as_me:5015: \"$ac_link\") >&5
5016   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
5017   echo "$ac_fc_v_output" >&5
5018   FCFLAGS=$ac_save_FFLAGS
# Line 5902 | Line 5906 | echo "$as_me: WARNING: Sorry, $zlib_dir does not exist
5906    else
5907      { echo "$as_me:$LINENO: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&5
5908   echo "$as_me: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&2;}
5909 +        ZLIB_HOME=/usr/local
5910 +        if test ! -f "${ZLIB_HOME}/include/zlib.h"
5911 +        then
5912 +                ZLIB_HOME=/usr
5913 +        fi
5914    fi
5915   fi
5907
5908 ZLIB_HOME=/usr/local
5909 if test ! -f "${ZLIB_HOME}/include/zlib.h"
5910 then
5911        ZLIB_HOME=/usr
5912 fi
5913
5916   #
5917   # Locate zlib, if wanted
5918   #
5919   if test -n "${ZLIB_HOME}"
5920   then
5921          ZLIB_OLD_LDFLAGS=$LDFLAGS
5922 <        ZLIB_OLD_CPPFLAGS=$LDFLAGS
5922 >        ZLIB_OLD_CFLAGS=$CFLAGS
5923          LDFLAGS="$LDFLAGS -L${ZLIB_HOME}/lib"
5924 <        CPPFLAGS="$CPPFLAGS -I${ZLIB_HOME}/include"
5924 >        CFLAGS="$CFLAGS -I${ZLIB_HOME}/include"
5925  
5926  
5927          ac_ext=c
# Line 6178 | Line 6180 | echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C
6180                  ZLIB_LIB_DIR=
6181                  ZLIB=
6182                  LDFLAGS="$ZLIB_OLD_LDFLAGS"
6183 <                CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6183 >                CFLAGS="$ZLIB_OLD_CFLAGS"
6184                  echo "$as_me:$LINENO: result: failed" >&5
6185   echo "${ECHO_T}failed" >&6
6186                  echo ""
# Line 6226 | Line 6228 | echo "$as_me: WARNING: Sorry, $fftw_dir does not exist
6228      #
6229      if test -n "${FFTW_HOME}"; then
6230        FFTW_OLD_LDFLAGS=$LDFLAGS
6231 <      FFTW_OLD_CPPFLAGS=$LDFLAGS
6231 >      FFTW_OLD_CFLAGS=$CFLAGS
6232        LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6233 <      CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6233 >      CFLAGS="$CFLAGS -I${FFTW_HOME}/include"
6234  
6235  
6236        ac_ext=c
# Line 6949 | Line 6951 | echo $ECHO_N "checking fftw in ${FFTW_HOME}... $ECHO_C
6951              FFTW_LIB_DIR=
6952              FFTW_LIBS=
6953              LDFLAGS="$FFTW_OLD_LDFLAGS"
6954 <            CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6954 >            CFLAGS="$FFTW_OLD_CFLAGS"
6955              echo "$as_me:$LINENO: result: failed" >&5
6956   echo "${ECHO_T}failed" >&6
6957              echo ""
# Line 6969 | Line 6971 | echo "${ECHO_T}failed" >&6
6971  
6972  
6973      fi
6974 +  fi
6975 + fi
6976 +
6977 + #
6978 + # Handle user hints
6979 + #
6980 +
6981 + # Check whether --with-qhull or --without-qhull was given.
6982 + if test "${with_qhull+set}" = set; then
6983 +  withval="$with_qhull"
6984 +  qhull_dir="$withval"
6985 + else
6986 +                qhull_dir="not_set"
6987 + fi;
6988 + if test "$qhull_dir" != "no"; then
6989 +
6990 + if test "$qhull_dir" != "not_set" ; then
6991 +  if test -d "$qhull_dir"
6992 +  then
6993 +    QHULL_HOME="$qhull_dir"
6994 +  else
6995 +    { echo "$as_me:$LINENO: WARNING: Sorry, $qhull_dir does not exist, checking usual places" >&5
6996 + echo "$as_me: WARNING: Sorry, $qhull_dir does not exist, checking usual places" >&2;}
6997 +        QHULL_HOME=/usr/local
6998 +        if test ! -f "${QHULL_HOME}/include/qhull/qhull.h"
6999 +        then
7000 +                QHULL_HOME=/usr
7001 +        fi
7002    fi
7003   fi
7004 + #
7005 + # Locate qhull, if wanted
7006 + #
7007 + if test -n "${QHULL_HOME}"
7008 + then
7009 +        QHULL_OLD_LDFLAGS=$LDFLAGS
7010 +        QHULL_OLD_CFLAGS=$CFLAGS
7011 +        LDFLAGS="$LDFLAGS -L${QHULL_HOME}/lib"
7012 +        CFLAGS="$CFLAGS -I${QHULL_HOME}/include"
7013 +
7014 +
7015 +        ac_ext=c
7016 + ac_cpp='$CPP $CPPFLAGS'
7017 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7018 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7019 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
7020 +
7021 +        echo "$as_me:$LINENO: checking for qh_qhull in -lqhull" >&5
7022 + echo $ECHO_N "checking for qh_qhull in -lqhull... $ECHO_C" >&6
7023 + if test "${ac_cv_lib_qhull_qh_qhull+set}" = set; then
7024 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7025 + else
7026 +  ac_check_lib_save_LIBS=$LIBS
7027 + LIBS="-lqhull  $LIBS"
7028 + cat >conftest.$ac_ext <<_ACEOF
7029 + /* confdefs.h.  */
7030 + _ACEOF
7031 + cat confdefs.h >>conftest.$ac_ext
7032 + cat >>conftest.$ac_ext <<_ACEOF
7033 + /* end confdefs.h.  */
7034  
7035 + /* Override any gcc2 internal prototype to avoid an error.  */
7036 + #ifdef __cplusplus
7037 + extern "C"
7038 + #endif
7039 + /* We use char because int might match the return type of a gcc2
7040 +   builtin and then its argument prototype would still apply.  */
7041 + char qh_qhull ();
7042 + #ifdef FC_DUMMY_MAIN
7043 + #ifndef FC_DUMMY_MAIN_EQ_F77
7044 + #  ifdef __cplusplus
7045 +     extern "C"
7046 + #  endif
7047 +   int FC_DUMMY_MAIN() { return 1; }
7048 + #endif
7049 + #endif
7050 + int
7051 + main ()
7052 + {
7053 + qh_qhull ();
7054 +  ;
7055 +  return 0;
7056 + }
7057 + _ACEOF
7058 + rm -f conftest.$ac_objext conftest$ac_exeext
7059 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7060 +  (eval $ac_link) 2>conftest.er1
7061 +  ac_status=$?
7062 +  grep -v '^ *+' conftest.er1 >conftest.err
7063 +  rm -f conftest.er1
7064 +  cat conftest.err >&5
7065 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7066 +  (exit $ac_status); } &&
7067 +         { ac_try='test -z "$ac_c_werror_flag"
7068 +                         || test ! -s conftest.err'
7069 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7070 +  (eval $ac_try) 2>&5
7071 +  ac_status=$?
7072 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7073 +  (exit $ac_status); }; } &&
7074 +         { ac_try='test -s conftest$ac_exeext'
7075 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7076 +  (eval $ac_try) 2>&5
7077 +  ac_status=$?
7078 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7079 +  (exit $ac_status); }; }; then
7080 +  ac_cv_lib_qhull_qh_qhull=yes
7081 + else
7082 +  echo "$as_me: failed program was:" >&5
7083 + sed 's/^/| /' conftest.$ac_ext >&5
7084  
7085 + ac_cv_lib_qhull_qh_qhull=no
7086 + fi
7087 + rm -f conftest.err conftest.$ac_objext \
7088 +      conftest$ac_exeext conftest.$ac_ext
7089 + LIBS=$ac_check_lib_save_LIBS
7090 + fi
7091 + echo "$as_me:$LINENO: result: $ac_cv_lib_qhull_qh_qhull" >&5
7092 + echo "${ECHO_T}$ac_cv_lib_qhull_qh_qhull" >&6
7093 + if test $ac_cv_lib_qhull_qh_qhull = yes; then
7094 +  qhull_cv_libqhull=yes
7095 + else
7096 +  qhull_cv_libqhull=no
7097 + fi
7098  
7099 +        if test "${ac_cv_header_qhull_qhull_h+set}" = set; then
7100 +  echo "$as_me:$LINENO: checking for qhull/qhull.h" >&5
7101 + echo $ECHO_N "checking for qhull/qhull.h... $ECHO_C" >&6
7102 + if test "${ac_cv_header_qhull_qhull_h+set}" = set; then
7103 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7104 + fi
7105 + echo "$as_me:$LINENO: result: $ac_cv_header_qhull_qhull_h" >&5
7106 + echo "${ECHO_T}$ac_cv_header_qhull_qhull_h" >&6
7107 + else
7108 +  # Is the header compilable?
7109 + echo "$as_me:$LINENO: checking qhull/qhull.h usability" >&5
7110 + echo $ECHO_N "checking qhull/qhull.h usability... $ECHO_C" >&6
7111 + cat >conftest.$ac_ext <<_ACEOF
7112 + /* confdefs.h.  */
7113 + _ACEOF
7114 + cat confdefs.h >>conftest.$ac_ext
7115 + cat >>conftest.$ac_ext <<_ACEOF
7116 + /* end confdefs.h.  */
7117 + $ac_includes_default
7118 + #include <qhull/qhull.h>
7119 + _ACEOF
7120 + rm -f conftest.$ac_objext
7121 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
7122 +  (eval $ac_compile) 2>conftest.er1
7123 +  ac_status=$?
7124 +  grep -v '^ *+' conftest.er1 >conftest.err
7125 +  rm -f conftest.er1
7126 +  cat conftest.err >&5
7127 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7128 +  (exit $ac_status); } &&
7129 +         { ac_try='test -z "$ac_c_werror_flag"
7130 +                         || test ! -s conftest.err'
7131 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7132 +  (eval $ac_try) 2>&5
7133 +  ac_status=$?
7134 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7135 +  (exit $ac_status); }; } &&
7136 +         { ac_try='test -s conftest.$ac_objext'
7137 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7138 +  (eval $ac_try) 2>&5
7139 +  ac_status=$?
7140 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7141 +  (exit $ac_status); }; }; then
7142 +  ac_header_compiler=yes
7143 + else
7144 +  echo "$as_me: failed program was:" >&5
7145 + sed 's/^/| /' conftest.$ac_ext >&5
7146 +
7147 + ac_header_compiler=no
7148 + fi
7149 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
7150 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
7151 + echo "${ECHO_T}$ac_header_compiler" >&6
7152 +
7153 + # Is the header present?
7154 + echo "$as_me:$LINENO: checking qhull/qhull.h presence" >&5
7155 + echo $ECHO_N "checking qhull/qhull.h presence... $ECHO_C" >&6
7156 + cat >conftest.$ac_ext <<_ACEOF
7157 + /* confdefs.h.  */
7158 + _ACEOF
7159 + cat confdefs.h >>conftest.$ac_ext
7160 + cat >>conftest.$ac_ext <<_ACEOF
7161 + /* end confdefs.h.  */
7162 + #include <qhull/qhull.h>
7163 + _ACEOF
7164 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
7165 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
7166 +  ac_status=$?
7167 +  grep -v '^ *+' conftest.er1 >conftest.err
7168 +  rm -f conftest.er1
7169 +  cat conftest.err >&5
7170 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7171 +  (exit $ac_status); } >/dev/null; then
7172 +  if test -s conftest.err; then
7173 +    ac_cpp_err=$ac_c_preproc_warn_flag
7174 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
7175 +  else
7176 +    ac_cpp_err=
7177 +  fi
7178 + else
7179 +  ac_cpp_err=yes
7180 + fi
7181 + if test -z "$ac_cpp_err"; then
7182 +  ac_header_preproc=yes
7183 + else
7184 +  echo "$as_me: failed program was:" >&5
7185 + sed 's/^/| /' conftest.$ac_ext >&5
7186 +
7187 +  ac_header_preproc=no
7188 + fi
7189 + rm -f conftest.err conftest.$ac_ext
7190 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
7191 + echo "${ECHO_T}$ac_header_preproc" >&6
7192 +
7193 + # So?  What about this header?
7194 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
7195 +  yes:no: )
7196 +    { echo "$as_me:$LINENO: WARNING: qhull/qhull.h: accepted by the compiler, rejected by the preprocessor!" >&5
7197 + echo "$as_me: WARNING: qhull/qhull.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
7198 +    { echo "$as_me:$LINENO: WARNING: qhull/qhull.h: proceeding with the compiler's result" >&5
7199 + echo "$as_me: WARNING: qhull/qhull.h: proceeding with the compiler's result" >&2;}
7200 +    ac_header_preproc=yes
7201 +    ;;
7202 +  no:yes:* )
7203 +    { echo "$as_me:$LINENO: WARNING: qhull/qhull.h: present but cannot be compiled" >&5
7204 + echo "$as_me: WARNING: qhull/qhull.h: present but cannot be compiled" >&2;}
7205 +    { echo "$as_me:$LINENO: WARNING: qhull/qhull.h:     check for missing prerequisite headers?" >&5
7206 + echo "$as_me: WARNING: qhull/qhull.h:     check for missing prerequisite headers?" >&2;}
7207 +    { echo "$as_me:$LINENO: WARNING: qhull/qhull.h: see the Autoconf documentation" >&5
7208 + echo "$as_me: WARNING: qhull/qhull.h: see the Autoconf documentation" >&2;}
7209 +    { echo "$as_me:$LINENO: WARNING: qhull/qhull.h:     section \"Present But Cannot Be Compiled\"" >&5
7210 + echo "$as_me: WARNING: qhull/qhull.h:     section \"Present But Cannot Be Compiled\"" >&2;}
7211 +    { echo "$as_me:$LINENO: WARNING: qhull/qhull.h: proceeding with the preprocessor's result" >&5
7212 + echo "$as_me: WARNING: qhull/qhull.h: proceeding with the preprocessor's result" >&2;}
7213 +    { echo "$as_me:$LINENO: WARNING: qhull/qhull.h: in the future, the compiler will take precedence" >&5
7214 + echo "$as_me: WARNING: qhull/qhull.h: in the future, the compiler will take precedence" >&2;}
7215 +    (
7216 +      cat <<\_ASBOX
7217 + ## ------------------------------ ##
7218 + ## Report this to gezelter@nd.edu ##
7219 + ## ------------------------------ ##
7220 + _ASBOX
7221 +    ) |
7222 +      sed "s/^/$as_me: WARNING:     /" >&2
7223 +    ;;
7224 + esac
7225 + echo "$as_me:$LINENO: checking for qhull/qhull.h" >&5
7226 + echo $ECHO_N "checking for qhull/qhull.h... $ECHO_C" >&6
7227 + if test "${ac_cv_header_qhull_qhull_h+set}" = set; then
7228 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7229 + else
7230 +  ac_cv_header_qhull_qhull_h=$ac_header_preproc
7231 + fi
7232 + echo "$as_me:$LINENO: result: $ac_cv_header_qhull_qhull_h" >&5
7233 + echo "${ECHO_T}$ac_cv_header_qhull_qhull_h" >&6
7234 +
7235 + fi
7236 + if test $ac_cv_header_qhull_qhull_h = yes; then
7237 +  qhull_cv_qhull_h=yes
7238 + else
7239 +  qhull_cv_qhull_h=no
7240 + fi
7241 +
7242 +
7243 +        ac_ext=c
7244 + ac_cpp='$CPP $CPPFLAGS'
7245 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7246 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7247 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
7248 +
7249 +
7250 +        if test "$qhull_cv_libqhull" = "yes" -a "$qhull_cv_qhull_h" = "yes"; then
7251 +
7252 + cat >>confdefs.h <<\_ACEOF
7253 + #define HAVE_QHULL_H 1
7254 + _ACEOF
7255 +
7256 +
7257 + cat >>confdefs.h <<\_ACEOF
7258 + #define HAVE_QHULL 1
7259 + _ACEOF
7260 +
7261 +                QHULL_INC_DIR="${QHULL_HOME}/include"
7262 +                QHULL_LIB_DIR="${QHULL_HOME}/lib"
7263 +                QHULL="-lqhull"
7264 +        else
7265 +                echo "$as_me:$LINENO: checking qhull in ${QHULL_HOME}" >&5
7266 + echo $ECHO_N "checking qhull in ${QHULL_HOME}... $ECHO_C" >&6
7267 +                QHULL_INC_DIR=
7268 +                QHULL_LIB_DIR=
7269 +                QHULL=
7270 +                LDFLAGS="$QHULL_OLD_LDFLAGS"
7271 +                CFLAGS="$QHULL_OLD_CFLAGS"
7272 +                echo "$as_me:$LINENO: result: failed" >&5
7273 + echo "${ECHO_T}failed" >&6
7274 +                echo ""
7275 +                echo "*********************************************************"
7276 +                echo "* WARNING: Could not find a working qhull installation  *"
7277 +                echo "* If you need OOPSE to be able to deal with convex      *"
7278 +                echo "* hulls be sure to specify a valid qhull installation   *"
7279 +                echo "* with --with-qhull=DIR                                 *"
7280 +                echo "*                                                       *"
7281 +                echo "* OOPSE will still work without qhull installed.        *"
7282 +                echo "*********************************************************"
7283 +                echo ""
7284 +        fi
7285 +
7286 +
7287 +
7288 + fi
7289 + fi
7290 +
7291 +
7292   # Checks for header files.
7293   echo "$as_me:$LINENO: checking for ANSI C header files" >&5
7294   echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
# Line 14235 | Line 14550 | fi
14550  
14551  
14552  
14553 +
14554   # Check whether --enable-doxygen or --disable-doxygen was given.
14555   if test "${enable_doxygen+set}" = set; then
14556    enableval="$enable_doxygen"
# Line 14388 | Line 14704 | fi
14704  
14705  
14706  
14707 <                                                  ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/math/Makefile src/applications/staticProps/Makefile scripts/filepp"
14707 >                                        ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/math/Makefile scripts/filepp"
14708  
14709  
14710   cat >confcache <<\_ACEOF
# Line 14922 | Line 15238 | do
15238    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
15239    "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
15240    "src/math/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/math/Makefile" ;;
14925  "src/applications/staticProps/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/staticProps/Makefile" ;;
15241    "scripts/filepp" ) CONFIG_FILES="$CONFIG_FILES scripts/filepp" ;;
15242    "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
15243    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
# Line 15065 | Line 15380 | s,@LIBOBJS@,$LIBOBJS,;t t
15380   s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
15381   s,@FFTW_LIB_DIR@,$FFTW_LIB_DIR,;t t
15382   s,@FFTW_LIBS@,$FFTW_LIBS,;t t
15383 + s,@QHULL_INC_DIR@,$QHULL_INC_DIR,;t t
15384 + s,@QHULL_LIB_DIR@,$QHULL_LIB_DIR,;t t
15385 + s,@QHULL@,$QHULL,;t t
15386   s,@LIBOBJS@,$LIBOBJS,;t t
15387   s,@POW_LIB@,$POW_LIB,;t t
15388   s,@CXXCPP@,$CXXCPP,;t t
# Line 15333 | Line 15651 | s,@INSTALL@,$ac_INSTALL,;t t
15651      make/Makefile ) chmod 0755 scripts/* ;;
15652      src/utils/Makefile ) chmod 0755 scripts/* ;;
15653      src/math/Makefile ) chmod 0755 scripts/* ;;
15336    src/applications/staticProps/Makefile ) chmod 0755 scripts/* ;;
15654      scripts/filepp ) chmod 0755 scripts/* ;;
15655    esac
15656   done

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines